Subject: [TLS] Missing updates in our RFCS?

From: Watson Ladd <[email-masked]>
Date: Sun, 29 Nov 2020 16:51:30 -0800

Dear TLS WG,

I think RFC 7627 should update 5056, 5705, and maybe a few more.

I noticed these omissions when looking at the kitten draft to use TLS
1.3 exporters. Having these updates would hopefully make clear what
uses need to be updated, or at least show where there might be a
problem.

Sincerely,
Watson
--
Astra mortemque praestare gradatim

---

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 30 Nov 2020 07:36:33 +0100

> On 30 Nov 2020, at 01:51, Watson Ladd <[email-masked]> wrote:
> 
> Dear TLS WG,
> 

On that topic I have to repeat an earlier question that I did not see any response to.

SIP is declared in RFC 3261. This draft updates 3261. Does this mean
that the SIP standard is modified? To be SIP compliant, do one has to
follow this document too (after publication)?

I’ve gotten a few pointers earlier that ended up with “It’s unclear what an
RFC update means”.

I would really like it to mean that in order to be SIP compliant, you can not
use deprecated versions of TLS.

/O

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 30 Nov 2020 05:08:44 -0800

> use deprecated versions of TLS.

Me too. Unfortunately, my understanding of the way things work is that
there's
no formal thing meaning "SIP Compliant". Rather, one complies with a bunch
of
RFCs and so people wouldn't be "RFC XXXX compliant", which isn't really what
is wanted here.

-Ekr

> /O
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>

---

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 30 Nov 2020 14:12:18 +0100

> On 30 Nov 2020, at 14:08, Eric Rescorla <[email-masked]> wrote:
> 
> 
> 
> On Sun, Nov 29, 2020 at 10:36 PM Olle E. Johansson <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> > On 30 Nov 2020, at 01:51, Watson Ladd <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > Dear TLS WG,
> > 
> Me too. Unfortunately, my understanding of the way things work is that there's
> no formal thing meaning "SIP Compliant". Rather, one complies with a bunch of

Ok - but does this change the meaning of being “RFC 3261” compliant?

Or do we have to say “RFC3261 compliant with the addition of RFC XXXX” where XXXX is this document?

Sorry to be picky, but I’m interested in understanding the effect of these updates to a long list of RFCs.

/O

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Mon, 30 Nov 2020 05:35:45 -0800

> Sorry to be picky, but I’m interested in understanding the effect of these updates to a long list of RFCs.

I use the short-hand "SIP Compliant" to mean compliant with RFC3261 and the parts of the following RFCs that update RFC 3261: RFC 3265, RFC 3853, RFC 4320, RFC 4916, RFC 5393, RFC 5621, RFC 5626, RFC 5630, RFC 5922, RFC 5954, RFC 6026, RFC 6141, RFC 6665, RFC 6878, RFC 7462, RFC 7463, RFC 7621, RFC 8217, RFC 8262, RFC 8591, RFC 8760, RFC 8898.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 30 Nov 2020 14:43:36 +0100

> On 30 Nov 2020, at 14:35, Marc Petit-Huguenin <[email-masked]> wrote:
> 

So in your world, any device implementing TLS 1.0 will not be "SIP compliant" after the publication
of this document. Nice.

This confusion will of course apply to all other specifications updated by this document - and that’s
quite a lot.

/O

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Mon, 30 Nov 2020 05:48:03 -0800

> So in your world, any device implementing TLS 1.0 will not be "SIP compliant" after the publication

Yes.

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 30 Nov 2020 06:07:17 -0800

> Ok - but does this change the meaning of being “RFC 3261” compliant?

Not to my knowledge.

Or do we have to say “RFC3261 compliant with the addition of RFC XXXX”
> where XXXX is this document?
>

Yes.

-Ekr

Sorry to be picky, but I’m interested in understanding the effect of these
> updates to a long list of RFCs.
>

---

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 30 Nov 2020 15:13:49 +0100

> On 30 Nov 2020, at 15:07, Eric Rescorla <[email-masked]> wrote:
> 
> 
> 
> On Mon, Nov 30, 2020 at 5:12 AM Olle E. Johansson <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>> On 30 Nov 2020, at 14:08, Eric Rescorla <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>> 

Which in the end means that the only way to get vendors to move ahead and update their platforms
is to write a document that really makes RFC 3261 obsolete. 

/O